#coding:utf-8
import sys, time
import smbus

""" Тестовый скрипт для температурного сервера для
    'ненавязчивой автоматизации Lite'
    OldBean, 27.05.2017"""

bus = smbus.SMBus(1)
tsAddr = 0x07

bus.write_byte(tsAddr, 0x44) # Запуск температурных датчиков
trys = 100 # Будем 'стучаться' до сервера 100 раз (10 сек)
while trys > 0: 
  try: # Пытаемся считать температуры
    buf = bus.read_i2c_block_data(tsAddr, 0)
    break
  except IOError: # Еще не готово - подождем 0.1 сек
    time.sleep(0.1) # и опять попробуем
    trys -= 1
if trys <= 0:
  print 'Температурный сервер не доступен. Завершение работы.'
  sys.exit(1)

print '\nМаска наличия датчиков: %s' % (bin(buf[0])[2:])
print '\n№\tmask\tcode\t°C\n'
mask = 0b00000001
for i in range(8):
  s = str(i) + '\t'
  w = buf[1 + 2*i]*256 + buf[2 + 2*i]
  if buf[0] & mask > 0 :
    s += '1\t' + str(w) + '\t' + str(0.0625*w)
  else:
    s += '0\t' + str(w) + '\t-'
  print s
  mask <<= 1


